summaryrefslogtreecommitdiff
path: root/gettext-tools/tests/msgconv-2
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/msgconv-2')
-rwxr-xr-xgettext-tools/tests/msgconv-243
1 files changed, 43 insertions, 0 deletions
diff --git a/gettext-tools/tests/msgconv-2 b/gettext-tools/tests/msgconv-2
new file mode 100755
index 0000000..936197c
--- /dev/null
+++ b/gettext-tools/tests/msgconv-2
@@ -0,0 +1,43 @@
+#! /bin/sh
+. "${srcdir=.}/init.sh"; path_prepend_ . ../src
+
+# Test conversion from UTF-8 to BIG5.
+# Test that encoding names are case insensitive.
+
+cat <<\EOF > mco-test2.po
+# Chinese translation for GNU gettext messages.
+#
+msgid ""
+msgstr ""
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: src/msgcmp.c:155 src/msgmerge.c:273
+msgid "exactly 2 input files required"
+msgstr "此功能需要恰好指定兩個輸入檔"
+EOF
+
+: ${MSGCONV=msgconv}
+${MSGCONV} -t Big5 -o mco-test2.out mco-test2.po || exit 1
+
+cat <<\EOF > mco-test2.ok
+# Chinese translation for GNU gettext messages.
+#
+msgid ""
+msgstr ""
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=BIG5\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: src/msgcmp.c:155 src/msgmerge.c:273
+msgid "exactly 2 input files required"
+msgstr "\ݭnnwӿJ"
+EOF
+
+: ${DIFF=diff}
+# Redirect stdout, so as not to fill the user's screen with non-ASCII bytes.
+${DIFF} mco-test2.ok mco-test2.out >/dev/null
+result=$?
+
+exit $result